/* ==========================================================================
   KOMI
   ========================================================================== */
:root {
  --site-font: sans-serif;
  --nav-bg-color: #0c420f;
  --content-text-color: #f0f7f0;
  --content-bg-gradient: linear-gradient(135deg, #b5e48acc 0%, rgba(15, 100, 65, 0.4) 100%);
  --bordercolor: #3a9746;
  --activebordercolor: #5cf564;
  --panel-bg: rgba(12, 66, 15, 0.35);
  --banner-header-bg: linear-gradient(135deg, #042e21, #0c420f);
  --banner-content-bg: rgba(4, 46, 33, 0.9);
  --overlay-bg: rgba(4, 46, 33, 0.6);
  --card-light-bg: #f2f8f2;
  --card-light-text: #042e21;

  --btn-bg-analogous: linear-gradient(135deg, #0c420f 0%, #042e21 100%);
  --btn-border-analogous: #3a9746;  
  --banner-header-analogous: linear-gradient(135deg, #0c420f 0%, #042e21 100%);
  --panel-texture: url('/assets/themes/komi/navtextureloop.png'),
  linear-gradient(rgba(4, 46, 33, 0.62), rgba(4, 46, 33, 0.62));

  --themebackground: url('/assets/themes/komi/sitebackground_home.jpg');

  --navlayertop: url('/assets/themes/komi/navaccent.png');
  --navlayerpattern: url('/assets/themes/komi/navtextureloop.png');
  --navlayerbase: linear-gradient(to top, #798b34, #0c420f, #042e21);
  --fallbackbg: #0c1a0c;
  --headerbanner: url('/assets/themes/komi/headerbanner_home.png');
  --notepadbg: url('/assets/themes/komi/notepadbg.jpg')
}

body {
  font-family: var(--site-font), sans-serif;
  color: var(--content-text-color);
}

body a {
  color: #f2f8f2;          
  text-decoration: none;
  font-family: var(--site-font), monospace;
  font-weight: bold;
  display: inline-block;
  padding: 5px 0;
  text-shadow: 1px 1px 0px #0b140b; 
}

body a:hover {
  color: #d2ff66;          
  text-decoration: underline;
  text-shadow: none;
  -webkit-text-stroke: none;
  -webkit-text-stroke-width: 0px;
  -webkit-text-stroke-color: transparent;
}

.navlogicmaster h3 {
  color: #a4bfa4;
  font-size: 1.1rem;
  margin-top: 15px;
  margin-bottom: 5px;
  text-shadow: 1px 1px 0px #0b140b;
}
